%global git_hash ed9b08e5d9e3db60d52bccf6cb6919fb4bd47602

Name:           heimdall
Version:        1.3.0
Release:        1%{?dist}
Summary:        Utility to flash Samsung Galaxy S ROM

Group:          Applications/Communications
License:        MIT
URL:            http://www.glassechidna.com.au/products/heimdall/
#Source0:        http://www.glassechidna.com.au/products/heimdall/heimdall-1.0.0-source.zip
# Let's make our own tarball rather than download from github :
# git clone https://github.com/Benjamin-Dobell/Heimdall.git
# cd Heimdall
# git archive --format=tar %{git_hash} --prefix=%{name}-%{version}/ | bzip2 > %{name}-%{version}.tar.bz2
Source0:        heimdall-1.3.0.tar.bz2 
Patch0:         heimdall-1.3.0-dont_restart_udev.patch
Patch1:         heimdall-1.3.0-install_in_usr_bin.patch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  libusb1-devel
BuildRequires:  qt4-devel


%description
Heimdall is a cross-platform open-source utility to flash firmware (aka ROMs)
onto Samsung Galaxy S devices.

%package frontend
Summary:        Graphical user interface for heimdall
Group:          Applications/Communications
Requires:       %name = %version-%release

%description frontend
Heimdall Frontend is the official graphical user interface for the Heimdall
tool suite.


%prep
%setup -q
rm -rf libusb-1.0
sed -i -e 's/\r//' README
%patch0 -p0
%patch1 -p0


%build
cd libpit
%configure
make %{?_smp_mflags}
cd ../heimdall
%configure
make %{?_smp_mflags}
cd ../heimdall-frontend
%{_qt4_qmake} heimdall-frontend.pro
make %{?_smp_mflags}


%install
cd heimdall
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
cd ../heimdall-frontend
make install INSTALL_ROOT=$RPM_BUILD_ROOT
# FIXME : a desktop file for heimdall-frontend is needed.


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc heimdall/LICENSE README
%{_bindir}/heimdall
/lib/udev/rules.d/60-heimdall-galaxy-s.rules

%files frontend
%defattr(-,root,root,-)
%{_bindir}/heimdall-frontend


%changelog
* Sun Sep 18 2011 Xavier Bachelot <xavier@bachelot.org> 1.3.0-1
- Update to 1.3.0.

* Thu Oct 28 2010 Xavier Bachelot <xavier@bachelot.org> 1.0.0-1
- Initial Fedora release.
